be.vlaanderen.mercurius.mohm.schemas.v1

## Class DeliveryBTCType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.DeliveryBTCType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class DeliveryBTCType
      extends Object
      implements Serializable

  Generiek type voor BTC in de aflevering.

  Java class for DeliveryBTCType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DeliveryBTCType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="EquipmentID" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}EquipmentIDType" maxOccurs="unbounded"/>
               <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="DeliveryDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeliveryBTCType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getCareServiceCodes()` Gets the value of the careServiceCodes property.
    `org.joda.time.DateTime` | `getDeliveryDate()` Gets the value of the deliveryDate property.
    `List<String>` | `getEquipmentIDs()` Gets the value of the equipmentIDs property.
    `void` | `setDeliveryDate(org.joda.time.DateTime value)` Sets the value of the deliveryDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeliveryBTCType

          public DeliveryBTCType()

  - ### Method Detail

    - #### getEquipmentIDs

          public List<String> getEquipmentIDs()

      Gets the value of the equipmentIDs property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the equipmentIDs property.

      For example, to add a new item, do as follows:

              getEquipmentIDs().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getCareServiceCodes

          public List<String> getCareServiceCodes()

      Gets the value of the careServiceCodes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the careServiceCodes property.

      For example, to add a new item, do as follows:

              getCareServiceCodes().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getDeliveryDate

          public org.joda.time.DateTime getDeliveryDate()

      Gets the value of the deliveryDate property.
      Returns:
        possible object is `String`

    - #### setDeliveryDate

          public void setDeliveryDate(org.joda.time.DateTime value)

      Sets the value of the deliveryDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.